Model MatchHelp

CRM

List notes from other records that reference this one (trickled up)

getapi.modelmatch.com/v1/crm/activity/referenced

Authorization

x-api-keystringrequired

API key or OAuth token. See Authentication.

Query parameters

entityIdstringrequired

The CRM record whose referenced (trickled-up) activity to read.

Responses

200objectNotes authored on other records that reference this record, newest first.
Show attributes
dataobject[]required
Show child attributes
actorEmailstring | nullrequired
actorImagestring | nullrequired
actorNamestring | nullrequired
actorUserIdstring | nullrequired
bodystring | nullrequired
bodyHtmlstring | nullrequired
createdAtnumberrequired
datanull
editedAtnumber | nullrequired
idstringrequired
kindenumrequired
Options:notesystemautomated
linkedNotesobject[]
Show child attributes
actorEmailstring | nullrequired
actorImagestring | nullrequired
actorNamestring | nullrequired
actorUserIdstring | nullrequired
bodystring | nullrequired
bodyHtmlstring | nullrequired
createdAtnumberrequired
datanull
editedAtnumber | nullrequired
idstringrequired
kindenumrequired
Options:notesystemautomated
linkedNotesobject[]

Same shape as its parent.

occurredAtnumber | nullrequired
parentIdstring | nullrequired
repliesobject[]

Same shape as its parent.

replyCountnumber
subtypestringrequired
occurredAtnumber | nullrequired
parentIdstring | nullrequired
repliesobject[]
Show child attributes
actorEmailstring | nullrequired
actorImagestring | nullrequired
actorNamestring | nullrequired
actorUserIdstring | nullrequired
bodystring | nullrequired
bodyHtmlstring | nullrequired
createdAtnumberrequired
datanull
editedAtnumber | nullrequired
idstringrequired
kindenumrequired
Options:notesystemautomated
linkedNotesobject[]

Same shape as its parent.

occurredAtnumber | nullrequired
parentIdstring | nullrequired
repliesobject[]

Same shape as its parent.

replyCountnumber
subtypestringrequired
replyCountnumber
subtypestringrequired
sourceAccessiblebooleanrequired
sourceEntityIdstringrequired
sourceEntityTypeenumrequired
Options:loagentcompanybranch
sourceHrefstringrequired
sourceNamestringrequired
400objectValidation error
401objectUnauthorized
403objectForbidden (authenticated, but missing required context — e.g. no active organization)
404objectNot found
413objectResponse payload too large — detail endpoint capped to fit Lambda response limits
503objectSearch timed out or the cluster is overloaded — retry after `Retry-After` seconds.